@echo off

:goto model

:	The aspen.bat file generates the GTAP-EG dataset 
:	(aspen.zip) from uncalibrated GTAP trade data and IEA energy statistics
:
:	This is a modified version of aspen.bat, which starts from the
:	GTAPinGAMS dataset. If the file GTAP001.ZIP does not exist, it
:	requires the BUILD routine.
:
:	For more information, see readme.txt in this archive or
:	http://debreu.colorado.edu/download/gtapingams.html
:
:	Thomas Rutherford and Sergey Paltsev
:	rutherford@colorado.edu
:	November 1999


if not exist ..\data\gtap001.zip call build

:energy
echo.
echo	Building the energy database
echo.
echo	Aggregate to a dataset compatible with the IEA data:

:pause
call gtapaggr iea
:pause

:gtap_iea

echo	Use GAMS to integrate the energy data and create ..\data\gtap1000.zip:
:pause
call gams iea_vail

echo	Relabel the energy commodities, translating gtap1000.zip to aspen.zip:

if exist ..\defines\aspen.map goto foundaspen

echo	Cannot find ..\defines\aspen.map
echo	The files aspen.set and aspen.map must be written by hand.
:pause
goto end

:foundaspen
:pause
call gtapaggr aspen

:erase
:echo	I am about to delete large work files!
echo.
:pause
del ..\data\gtap1000.zip
del ..\data\iea.zip


echo	Aggregate to 13x8, incude energy projections and create aspen_small.zip

if exist ..\defines\aspen_small.map goto foundsmall

echo	Cannot find ..\defines\aspen_small.map
echo	The files aspen.set and aspen.map must be written by hand.
:pause
goto end

:foundsmall

echo	Will aggregate to aspen_small:

pause
call gtapaggr aspen_small


:model

echo	Running an illustrative model:
:pause

cd ..
cd models
call gams gtap-eg

:end

